Bug 1970158 - virt-v2v is not installable on aarch64 due to missing dependencies
Summary: virt-v2v is not installable on aarch64 due to missing dependencies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-v2v
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-09 22:56 UTC by Davide Cavalca
Modified: 2021-06-19 01:08 UTC (History)
3 users (show)

Fixed In Version: virt-v2v-1.44.0-2.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-19 01:08:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Davide Cavalca 2021-06-09 22:56:08 UTC
In Rawhide, virt-v2v doesn't seem to be installable on aarch64:

2021-06-09 22:49:45,831 - atomic_reactor.util - DEBUG - - nothing provides nbdkit-vddk-plugin needed by virt-v2v-1:1.44.0-1.fc35.aarch64

Full log in https://koji.fedoraproject.org/koji/taskinfo?taskID=69734645

Comment 1 Richard W.M. Jones 2021-06-10 08:16:20 UTC
Fixed in virt-v2v-1.44.0-2.fc34 and virt-v2v-1.44.0-2.fc35

Comment 2 Fedora Update System 2021-06-10 08:16:49 UTC
FEDORA-2021-1f8015a71b has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-1f8015a71b

Comment 3 Richard W.M. Jones 2021-06-10 09:11:27 UTC
mxie: I think this bug affects RHEL 9 too?  Do we need a bug there?
(I thin we are at least providing virt-v2v on aarch64 are we not?)

Comment 4 mxie@redhat.com 2021-06-10 10:07:07 UTC
(In reply to Richard W.M. Jones from comment #3)
> mxie: I think this bug affects RHEL 9 too?  Do we need a bug there?
> (I thin we are at least providing virt-v2v on aarch64 are we not?)

In downstream, virt-v2v and virt-p2v are only available on x86_64, please refer to bug1601488 and bug 1621850

Comment 5 Fedora Update System 2021-06-11 02:07:38 UTC
FEDORA-2021-1f8015a71b has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-1f8015a71b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-1f8015a71b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-06-19 01:08:16 UTC
FEDORA-2021-1f8015a71b has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.